<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstancedGeometry.html">InstancedGeometry</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">InstancedObject</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::InstancedGeometry::InstancedObject Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6cfaf873d66502859f8f6b87b07d70a5">addBucketToList</a>(GeometryBucket *bucket)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a19c0bb2442a83b4f686c162653cd8ac0">GeometryBucket</a> class</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ad0174d7d2e08e50dbe4d103c487d844b">GeometryBucketList</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a2f8ebb5bb9f9d61ff9a5bbc8afe5b2a0">getAnimationState</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a8f46c44974b4d94a98d6e427eca344b1">getGeometryBucketList</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ac6a3eff7b015165d31d899e419208086">getLocalAxes</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a548d111f8207c871598bb35cc8d35fd7">getOrientation</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#addc02715738fae8b439654ac46f2869a">getPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a7cdd895805ff7c1c8e9fe1db17df6877">getScale</a>() const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a4d1e463a0f7548fc6b214e5eb82fc5c9">getSkeletonInstance</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aa5f6daf26547001574c97ef755291f17">InstancedObject</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a754c0cb08a22fcf8f6d363e3a1ee06b0">InstancedObject</a>(unsigned short index, SkeletonInstance *skeleton, AnimationStateSet *animations)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a4b56beafde52b601500f546fa4c6e570">mAnimationState</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a7abb7e5b6b8487977c412174c46a4a68">mBoneMatrices</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aa81bb5f5a50b38f97da1ee6e2bc3acb3">mBoneWorldMatrices</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a9cf770df6c5caf7101f14e8377675753">mFrameAnimationLastUpdated</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a95f4ab8c33297e92134f2dc7264fbc4c">mGeometryBucketList</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aea2753a5cad7e9667db0c5d70edee91e">mIndex</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a9540a22e67e987edea356a1167a644cd">mNumBoneMatrices</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a438337274251b4be86e4262e4a12110e">mOrientation</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a06be9bb180215197d95f3223eda93821">mPosition</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a28cd1d0319fe373ec8f0c49ddfb5f42b">mScale</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ada671ff66786abf2c60c332f670e853f">mSkeletonInstance</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a42dd164d1a22f2b5d81f3b960cdf78e6">mTransformation</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a4de88a1c0a586a4743746f6cd1dd1c9e">needUpdate</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aefa3c269808cc42b1ba4f0e1e798fef1">pitch</a>(const Radian &amp;angle)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ad779744914b50047d406d82dc35bda72">roll</a>(const Radian &amp;angle)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aea450cfe059922e356d7a05edb097e98">rotate</a>(const Quaternion &amp;q)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ab92e65720fe96a397424bebc92db9ce1">setOrientation</a>(const Quaternion &amp;q)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a8d5c2bf94296b0797e200e78b6577309">setPosition</a>(Vector3 position)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a60694e915e1832e67f6eaccd619a93d2">setPositionAndOrientation</a>(Vector3 p, const Quaternion &amp;q)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a3cec1ca50cbf56759da97e4cbb49762e">setScale</a>(const Vector3 &amp;scale)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6c17bdaf09f0904c9463a3e955b8f06c">TransformSpace</a> enum name</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a7379a1af9f3d74c861953ae2aa2a2130">translate</a>(const Matrix3 &amp;axes, const Vector3 &amp;move)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#af92c230d50fd79d13544591e0d82592d">translate</a>(const Vector3 &amp;d)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6c17bdaf09f0904c9463a3e955b8f06cad863ea15dc79cc72d760335afe073c8b">TS_LOCAL</a> enum value</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6c17bdaf09f0904c9463a3e955b8f06ca28433c670f3917f9491bf08bcad0694c">TS_PARENT</a> enum value</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a6c17bdaf09f0904c9463a3e955b8f06ca9a8cf09109de7ea1fa945300b111af2d">TS_WORLD</a> enum value</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a1e5af2d803336fd11f7b551cee044e5b">updateAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#afadb7563f8c75ad79b365033976ff64f">yaw</a>(const Radian &amp;angle)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#aac487b2a9b134673dbd0d0cf128a0c3b">~InstancedObject</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">Ogre::InstancedGeometry::InstancedObject</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
